"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11498ef20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11498f060>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11498efc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11498f100>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11498f1a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11498f240>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11498f2e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11498f380>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11498f420>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11498f4c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11498f560>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11498f600>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11498f6a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11498f740>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11498f7e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11498f880>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11498f920>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11498f9c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11498fa60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11498fb00>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11498fba0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11498fc40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11498fce0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11498fd80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11498fe20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11498fec0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11498ff60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec0e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec180>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec220>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec2c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec360>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec400>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec4a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec540>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec5e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec680>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec720>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec7c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec860>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec900>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ec9a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1149eca40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecae0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecb80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecc20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1149eccc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecd60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1149ece00>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecea0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecf40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149ecfe0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed080>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed120>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed1c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed260>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed300>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed3a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed440>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed4e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed580>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed620>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed6c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed760>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed800>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed8a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1149ed9e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1149eda80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1149edb20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1149edbc0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1149edc60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1149edd00>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1149edda0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1149ede40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1149edee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1149edf80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee020>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee0c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee200>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee2a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee340>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1149ee3e0>)]
name: str = 'fr_HOCCN'
